<template>
  <div>
    <div class="h-[55vh] flex items-center justify-center flex-col">
      <hgroup
        class="flex flex-col items-center justify-center mb-3 mx-2 text-center"
      >
        <h1 class="font-bold font-serif text-6xl mb-1">
          QEMU builds for RISC-V
        </h1>
        <h3>
          When we can't provide a prebuilt of a container, we can still help you
          run it.
        </h3>
      </hgroup>
    </div>
    <div class="mx-6 lg:mx-12">
      <h1 class="font-bold text-2xl">Setup guide</h1>
      <p class="mb-1">
        Just run this command, and you're set up. Make sure to install Docker, <code>qemu-user-static</code> and <code>binfmt-support</code> first.
      </p>
      <CodeBlock code="docker run --rm --privileged harbor.nirvati.org/riscy-emulation/qemu-user-static --reset -p yes" lang="bash" />
      <p class="mt-2 mb-1">That's it! You can now run Docker images for any architecture. Let's give it a try!</p>
      <CodeBlock code="docker run --rm -t arm64v8/ubuntu uname -m # Expected output: aarch64" lang="bash" />
    </div>
  </div>
</template>

<script setup lang="ts">
</script>